Contenu | Rechercher | Menus

VA API : Vidéo Accélération

Video Acceleration API (abrégé en VA API, VA-API ou VAAPI) est une bibliothèque open source (libVA) et une interface de programmation qui visent à permettre le rendu vidéo par le processeur graphique sur les systèmes dérivés d'UNIX (comme Linux ou FreeBSD) utilisant X Window System.

Installation

Pilote nvidia propriétaire

Pour installer ce logiciel, il suffit d'installer les paquets vdpau-va-driver et libvdpau1 qui permet l'accélération VA API en utilisant l'accélération VDPAU fournie par le pilote nvidia.

Pilote Intel

Pour installer ce logiciel, il suffit d'installer les paquets libva-intel-vaapi-driver libvdpau-va-gl1 et qui permet l'accélération VA API.

sudo sh -c "echo 'export VDPAU_DRIVER=va_gl' >> /etc/profile"

Pilote Catalyst propriétaire

Pour utiliser ce logiciel avec le pilote propriétaire Catalyst d'AMD-ATI, il suffit d'installer les paquets xvba-va-driver,libvdpau-va-gl1 qui permet l'accélération VA API.

sudo sh -c "echo 'export VDPAU_DRIVER=va_gl' >> /etc/profile"

Pilote libre radeon (recommandé)

Cela concerne toutes les cartes Radeon supportant l'UVD 2.2 et supérieur, soit à partir des HD 4000 (excepté HD 4200, HD 4800 et quelques Mobility HD 4000 - liste complète ici). A partir d'Ubuntu 16.04, toutes les cartes Radeon supportant l'UVD sont supportées (HD 2000 et plus).

Pour Ubuntu Xenial 16.04 et plus récent, installer le paquet mesa-va-drivers pour un support natif de VA-API.

Pour Ubuntu Trusty 14.04 installer le paquet mesa-vdpau-drivers pour un support de VDPAU (donc pas directement VA-API, mais il existe une passerelle).

Particularité pour Ubuntu Trusty 14.04.2

Ubuntu Trusty 14.04.2 64bits et LTS enablement stack Wily 64bits

Remplacer radeonsi_drv_video.so par le nom du driver obtenu via la commande vainfo

sudo apt-get install vdpau-va-driver
sudo ln -s /usr/lib/x86_64-linux-gnu/dri/vdpau_drv_video.so /usr/lib/x86_64-linux-gnu/dri/radeonsi_drv_video.so

Activation des vidéos Flash

sudo mkdir /etc/adobe
sudo echo -e "EnableLinuxHWVideoDecode = 1\nOverrideGPUValidation = 1" | sudo tee /etc/adobe/mms.cfg

Vérification

Installer les paquets vainfo qui permet de vérifier l'accélération VA API.

Lancez le terminal (toutes versions d'Ubuntu) avec la commande suivante :

vainfo

Vous devez alors observer une ligne "libva: va_getDriverName() returns 0" et différentes lignes indiquant les profiles de décodage supportés, c'est à dire les codecs vidéos supportés.

Exemple :

libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/r600_drv_video.so
libva info: Found init function __vaDriverInit_0_35
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.37 (libva 1.5.0)
vainfo: Driver version: Splitted-Desktop Systems VDPAU backend for VA-API - 0.7.4
vainfo: Supported profile and entrypoints
    VAProfileMPEG2Simple            :	VAEntrypointVLD
    VAProfileMPEG2Main              :	VAEntrypointVLD
    VAProfileMPEG4Simple            :	VAEntrypointVLD
    VAProfileMPEG4AdvancedSimple    :	VAEntrypointVLD
    VAProfileH264Baseline           :	VAEntrypointVLD
    VAProfileH264Main               :	VAEntrypointVLD
    VAProfileH264High               :	VAEntrypointVLD
    VAProfileVC1Advanced            :	VAEntrypointVLD

Utilisation

Différentes applications peuvent tirer parti de VAAPI :

Voir aussi



Le contenu de ce wiki est sous licence : CC BY-SA v3.0